be.fgov.ehealth.etee.crypto.encrypt

## Interface DataSealerBuilder.SigningPolicyStep

- All Known Subinterfaces:
    DataSealerBuilder.OCSPPolicyStep
  Enclosing class:
    DataSealerBuilder

      public static interface DataSealerBuilder.SigningPolicyStep

  Second step: Choose a signing-policy. This policy determines how you want to sign your message.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSealerBuilder.PublicKeyEncryptionPolicyStep` | `addSigningPolicy(SigningPolicy policy, java.security.KeyStore keyStore)` Uses default signatureAlias and authenticationAlias as defined in the SigningPolicy to retrieve keypairs
    `DataSealerBuilder.PublicKeyEncryptionPolicyStep` | `addSigningPolicy(SigningPolicy policy, java.security.KeyStore keyStore, java.util.Map<SigningOption,java.lang.Object> signingOptions)` Configure a signing policy with a `KeyStore` and a map with options to retrieve the keypairs from the store
    `DataSealerBuilder.PublicKeyEncryptionPolicyStep` | `addSigningPolicy(SigningPolicy policy, SigningCredential signingCredential)` Same credential for both inner and outer signatures
    `DataSealerBuilder.PublicKeyEncryptionPolicyStep` | `addSigningPolicy(SigningPolicy policy, SigningCredential signingCredential, SigningCredential authCredential)` Different credential for inner and outer signatures

- - ### Method Detail

    - #### addSigningPolicy

          DataSealerBuilder.PublicKeyEncryptionPolicyStep addSigningPolicy(SigningPolicy policy,
                                                                           java.security.KeyStore keyStore)

      Uses default signatureAlias and authenticationAlias as defined in the SigningPolicy to retrieve keypairs

    - #### addSigningPolicy

          DataSealerBuilder.PublicKeyEncryptionPolicyStep addSigningPolicy(SigningPolicy policy,
                                                                           java.security.KeyStore keyStore,
                                                                           java.util.Map<SigningOption,java.lang.Object> signingOptions)

      Configure a signing policy with a `KeyStore` and a map with options to retrieve the keypairs from the store

    - #### addSigningPolicy

          DataSealerBuilder.PublicKeyEncryptionPolicyStep addSigningPolicy(SigningPolicy policy,
                                                                           SigningCredential signingCredential)

      Same credential for both inner and outer signatures

    - #### addSigningPolicy

          DataSealerBuilder.PublicKeyEncryptionPolicyStep addSigningPolicy(SigningPolicy policy,
                                                                           SigningCredential signingCredential,
                                                                           SigningCredential authCredential)

      Different credential for inner and outer signatures

Copyright © 2025 eHealth. All rights reserved.